#
# spec file for package quota (Version 3.02)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  e2fsprogs-devel tcpd
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs e2fsprogs-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcpd texinfo textutils timezone unzip util-linux vim

Name:         quota
Copyright:    1980, 1990 Regents of the University of California.
Group:        System Environment/Base
Provides:     quota
Autoreqprov:  on
Version:      3.02
Release:      0
Summary:      Disk Quota System
URL:          http://sourceforge.net/projects/linuxquota/
Source:       quota-%{version}.tar.bz2
%define       qoutatool_version 1.1.1
Source1:      quotatool-%{qoutatool_version}.tar.gz
Patch:        %{name}.patch
BuildRoot:    %{_tmppath}/%{name}-build

%description
Allows to assign disk quotas to individual users of the system.
The kernel must be compiled with disk quota support enabled (SuSE kernels
have this support).
Also included is 'quotatool', a utility for setting filesystem quotas
from the command line.

Authors:
--------
    Marco van Wieringen <mvw@planets.ow.nl>
    Mike Glover <mpg4@duluoz.net>
    Johan Ekenberg <johan@ekenberg.nu>
    Jan Kara <jack@suse.cz>

SuSE series: ap

%prep
%setup -n quota-tools
%patch
tar -xvzf $RPM_SOURCE_DIR/quotatool-%{qoutatool_version}.tar.gz
cp quotatool-%{qoutatool_version}/README README.quotatool

%build
./configure  --prefix=/usr \
             --sbindir=/usr/sbin \
             --mandir=%{_mandir} 
make 
# quota tool
cd  quotatool-%{qoutatool_version}
%{suse_update_config -f tools}
./configure  --prefix=/usr \
             --sbindir=/usr/sbin \
             --mandir=%{_mandir} 
make 

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 ${RPM_BUILD_ROOT}/sbin 
install -d -m 755 ${RPM_BUILD_ROOT}/usr/bin 
install -d -m 755 ${RPM_BUILD_ROOT}/usr/sbin 
install -d -m 755 ${RPM_BUILD_ROOT}/usr/include/rpcsvc
install -d -m 755 ${RPM_BUILD_ROOT}/%{_mandir}/man1
install -d -m 755 ${RPM_BUILD_ROOT}/%{_mandir}/man2
install -d -m 755 ${RPM_BUILD_ROOT}/%{_mandir}/man3
install -d -m 755 ${RPM_BUILD_ROOT}/%{_mandir}/man8
install -d -m 755 ${RPM_BUILD_ROOT}/var/adm/fillup-templates/
install -d -m 755 ${RPM_BUILD_ROOT}/etc/init.d
make install ROOTDIR=${RPM_BUILD_ROOT}
ln -s ../../etc/init.d/quota  ${RPM_BUILD_ROOT}/usr/sbin/rcquota
ln -s ../../etc/init.d/quotad ${RPM_BUILD_ROOT}/usr/sbin/rcquotad
# quota tool
install -m 755 quotatool-%{qoutatool_version}/quotatool ${RPM_BUILD_ROOT}/usr/bin 
install -m 644 quotatool-%{qoutatool_version}/man/quotatool.8  ${RPM_BUILD_ROOT}/%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.quota
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.quota and"
  echo "update by hand."
fi
sbin/insserv etc/init.d/quotad
sbin/insserv etc/init.d/quota

%postun
sbin/insserv etc/init.d

%files
%doc README.SuSE README.quotatool
/var/adm/fillup-templates/rc.config.quota
%doc %{_mandir}/*/*
/usr/bin/quota
/usr/bin/quotatool
/sbin/quotacheck
/sbin/quotaoff
/sbin/quotaon
/usr/sbin/edquota
/usr/sbin/quot
/usr/sbin/quotastats
/usr/sbin/repquota
/usr/sbin/rpc.rquotad
/usr/sbin/setquota
/usr/sbin/warnquota
/usr/sbin/xqmstats
/sbin/convertquota
%config /etc/init.d/quota
%config /etc/init.d/quotad
/usr/sbin/rcquota
/usr/sbin/rcquotad

%changelog -n quota
* Tue Nov 13 2001 - vinil@suse.cz
- QUOTAOFF_BIN corrected to quotaoff in rcquota
- URL fixed for uptodate path
- update to 3.02 -> provides 'convertquota -e' for bad compiled 7.3
- get rid of wrong quota_byteswap.h; byteswap.h is provided by glibc
  bug #12229
* Tue Aug 14 2001 - dan@suse.cz
- ppc architecture dependent patch removed
* Mon Aug 13 2001 - dan@suse.cz
- update to 3.01-pre8
- convertquota listed in spec file (#9403)
* Thu Jul 05 2001 - olh@suse.de
- seems to work with stock 2.4.6 on ppc and 2.4.6ac1 on i386
* Wed Jul 04 2001 - olh@suse.de
- update to 3.01-pre7 and fix compile on ppc
* Fri Jun 29 2001 - pblaha@suse.cz
- rewrite init script to LSB
* Mon Jun 18 2001 - poeml@suse.de
- correct pathnames in README.SuSE
- add conveniency links to init scripts
* Wed May 02 2001 - pblaha@suse.cz
- update for better quota support in reiser fs
* Sun Apr 15 2001 - schwab@suse.de
- Add %%suse_update_config.
* Thu Mar 29 2001 - pblaha@suse.cz
- add quotatool utility for set qouta from command line
* Wed Mar 21 2001 - schwab@suse.de
- Don't use _syscallX on ia64.
* Mon Jan 29 2001 - pblaha@suse.cz
- update on current stable 2.00  and add doc
* Thu Jan 11 2001 - ro@suse.de
- replace linux/quota.h by sys/quota.h to make it compile
* Tue Jan 02 2001 - olh@suse.de
- use script name in %%post
* Fri Dec 15 2000 - pblaha@suse.cz
- applied patch for support upport multiple NFS servers
* Sun Dec 10 2000 - schwab@suse.de
- Don't use _syscallX on ia64.
* Fri Dec 08 2000 - kukuk@suse.de
- Fix Provides of init.d scripts
* Fri Dec 01 2000 - kukuk@suse.de
- Add info section to init scripts
- Move init scripts sbin/init.d -> etc/init.d
* Fri Oct 27 2000 - bg@suse.de
- changed return value of getopt from char to int for all occurances
  (Fix Bug #4122)
* Tue Oct 03 2000 - smid@suse.cz
- bug in warnquota fixed [#4052]
* Thu Jun 08 2000 - cihlar@suse.cz
- added %%clean
* Wed Jun 07 2000 - dipa@suse.de
- fix for 4 GB limit in quota.c, repquota.c, edquota.c and warnquota.c
  from Debian Bug report logs - #39249:
  "quota programs overflow at about 3GB"
* Fri Apr 28 2000 - kukuk@suse.de
- Fix buildroot
- Don't use kernel header files
* Tue Apr 11 2000 - smid@suse.cz
- buildroot added
* Wed Feb 16 2000 - kukuk@suse.de
- Fill in the Group tag.
* Thu Jan 27 2000 - kukuk@suse.de
- Use %%{_mandir} macro
* Mon Jan 24 2000 - kukuk@suse.de
- Add patch for SPARC
- Fix 4GB limit
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sat Mar 27 1999 - kukuk@suse.de
- Show quota on NFS automounted filesystems
- Update rc scripts
- Fix some compiler warnings
* Thu Oct 29 1998 - ro@suse.de
- added MNTOPT_xxx if not defined (for glibc)
- only use -lbsd if available
* Thu Jul 16 1998 - tmg@suse.de
- fixed install section
* Tue Jul 07 1998 - tmg@suse.de
- updated to quota 1.70 (new program setquota)
- added rc-scripts and quota check support for /sbin/init.d/boot
* Wed Nov 19 1997 - florian@suse.de
- do not install include files
- compile with -DRPC
* Tue Jun 03 1997 - bs@suse.de
  removed man page quotactl.2.gz (included in ldpman)
* Thu Jan 02 1997 - florian@suse.de
  new version 1.55
